## install4j API documentation

## com.install4j.api.update
Class UpdateSchedule

    java.lang.Object
      com.install4j.api.update.UpdateSchedule

    public class UpdateSchedule

extends java.lang.Object

Enumeration class that represents the different update schedules. These values are used in the `UpdateScheduleRegistry` class.

Author:
  ej-technologies GmbH

Field Summary
`static UpdateSchedule[]` | `ALL_VALUES` All values of `UpdateSchedule` for use in a drop-down list
`static UpdateSchedule` | `DAILY` `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one day has passed since the last update
`static UpdateSchedule` | `MONTHLY` `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one month has passed since the last update
`static UpdateSchedule` | `NEVER` `UpdateScheduleRegistry.checkAndReset()` always returns false
`static UpdateSchedule` | `ON_EVERY_START` `UpdateScheduleRegistry.checkAndReset()` always returns true
`static UpdateSchedule` | `WEEKLY` `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one week has passed since the last update

Method Summary
`static UpdateSchedule` | `getById(java.lang.String id)` Returns the `UpdateSchedule` for a string ID.
`java.lang.String` | `getId()` Returns the string ID for the `UpdateSchedule`.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ON_EVERY_START

    public static final UpdateSchedule ON_EVERY_START

  `UpdateScheduleRegistry.checkAndReset()` always returns true

### DAILY

    public static final UpdateSchedule DAILY

  `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one day has passed since the last update

### WEEKLY

    public static final UpdateSchedule WEEKLY

  `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one week has passed since the last update

### MONTHLY

    public static final UpdateSchedule MONTHLY

  `UpdateScheduleRegistry.checkAndReset()` always returns true after more than one month has passed since the last update

### NEVER

    public static final UpdateSchedule NEVER

  `UpdateScheduleRegistry.checkAndReset()` always returns false

### ALL_VALUES

    public static final UpdateSchedule[] ALL_VALUES

  All values of `UpdateSchedule` for use in a drop-down list

Method Detail

### getById

    public static UpdateSchedule getById(java.lang.String id)

  Returns the `UpdateSchedule` for a string ID. String IDs for `UpdateSchedule`s are returned by `getId()`}.

  Parameters:
    `id` - the ID
  Returns:
    the `UpdateSchedule` or null if the ID is invalid

### getId

    public java.lang.String getId()

  Returns the string ID for the `UpdateSchedule`. This string value can be saved and restored later with the `getById(String)`} method.

  Returns:
    the ID

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`